#!/usr/bin/env python

from config import Config
from logger import Logger
from device import Device
from visual import Visual

class Main:
	def __init__(self):
		self.config = Config();
		self.device = Device(self.config);
		self.logger = Logger(self.config);
		self.visual = Visual(self.config, self.device, self.logger);

	def main(self):
		self.visual.run()

if __name__ == "__main__":
	main = Main()
	main.main()
